#!/usr/bin/env sh
# required packages:
# - xclicp

set -e

SCRIPT=$(readlink -f "$0")
SCRIPTPATH=$(dirname "$SCRIPT")

$SCRIPTPATH/take-selected-screenshot.sh \
	| $SCRIPTPATH/nc-share-file.sh \
	| awk '{print $1"/preview"}' \
	| xclip -i -selection "clipboard"

notify-send -u low "Upload complete"

