#!/usr/bin/env sh
# required packages:
# - wget
# - jq

set -e

# There are 2 subreddits "wallpapers" and "wallpaper" the 2nd one is bigger.
SUB="${1:-wallpaper}"

wget --hsts-file="$XDG_CACHE_HOME/wget-hsts" -O - "http://www.reddit.com/r/$SUB/top/.json?t=day" 2> /dev/null | jq -r ".data.children[0].data.url"

